Subject: Re: bug#20741: 24.4; flyspell doesn't work with abbreviations ending in a period

From: Reuben Thomas <[email-masked]>
Date: Sat, 6 Jun 2015 11:08:12 +0100

On 6 June 2015 at 11:03, Eli Zaretskii <[email-masked]> wrote:

> > Date: Sat, 6 Jun 2015 10:38:17 +0100
> > From: Reuben Thomas <[email-masked]>
> > Cc: [email-masked]
> >
> > ​I should add, if I M-x ispell-change-dictionary​
> > ​RET american RET, then allow the underlining to refresh, "etc." is no
> longer
> > marked as wrong (as we've seen, it's incorrectly in the "american" word
> list),
> > but "i.e." and "e.g." are still so marked.​
>
> That's not what I see here.  When en_US is used, neither of these is
> flagged as a mis-spelling.  When I switch to en_GB, only "etc" and the
> "i" in "i.e." are flagged, the rest (including all of "e.g.") are not.
>
> I guess the reason is the different versions of Hunspell dictionaries
> we have installed.
>
> Once again, I don't think this is an Emacs problem.  Don't you see the
> same when you invoke Hunspell as a stand-alone program?
>

$ cat Downloads/foo.txt
i.e. this is not e.g. etc. help!
​ foxb​

$ hunspell -a -d en_GB -i UTF-8 ~/Downloads/foo.txt
@(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.3)
*
*
*
*
*
*
*
& foxb 6 33: fox, fob, foxy, fox b, fixable, faux

​Here we see that hunspell doesn't like "foxb" (great!) but is otherwise
happy.

So the problem does not appear to be with hunspell.

-- 
http://rrt.sc3d.org